Status: Closed

Priority: High

Assignee: Martin Dobias

Category: Digitising

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23951

Description

A regression has slipped in master which broke snapping when using the node tool.

Steps to reproduce

    1. Add a polygon memory layer to a project with snapping settings on

    2. Add a new polygon, and verify that snapping works for newly entered vertexes

    3. When new polygon created, try moving one of its node with the node tool

    4. Notice how snapping is not working

History

#1 - 2017-01-26 12:36 AM - Burghardt Scholle

Hi,

I can confirm this error on Ubuntu 16.04 with QGIS 2.99.0-Master, code revision 313ec5.

Burghardt

#2 - 2017-03-15 02:39 AM - Burghardt Scholle

Hi,

I just upgrade my qgis-dev on Windows to code revision 264c72 - and snapping works fine. Various tests with the current nightly-build under Linux (code

revision b132739) show that snapping here still does not work.

However, I've trouble with the snapping dialog window. Under 'Project > Snapping Options ... > Advanced configuration' the list is often empty or only the

editable layer is displayed. Windows-/Linux qgis-dev version don't differ in their behavior.

Burghardt

#3 - 2017-03-15 03:50 AM - Jan Lippmann

Burghardt Scholle wrote:

Under 'Project > Snapping Options ... > Advanced configuration' the list is often empty or only the editable layer is displayed. Windows-/Linux

qgis-dev version don't differ in their behavior.

Burghardt

i can confirm. tested with win 7 and qgis 2.18.x project files..
#4 - 2017-03-15 04:20 AM - Andre Jesus

Windows 10 64 bits - QGIS 2.18.4, 2.14.12 and 2.8.9

It actually works but the snapping symbol does not show up using Node Tool, it's been this way in all versions since the beginning (that I can remember).

#5 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#6 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#7 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2017-05-11 10:46 AM - Regis Haubourg

- Description updated

- Status changed from Open to Feedback

Can you please check again now that new node tool has landed in Master?

#9 - 2017-05-11 11:43 AM - Mathieu Pellerin - nIRV

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

- Assignee set to Martin Dobias
